Skip to main content
GET
/
v1
/
task-histories
/
{taskHistoryId}
Read Task History
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/task-histories/{taskHistoryId} \
  --header 'Authorization: Bearer <token>'
{
  "id": {},
  "dateTime": "2023-11-07T05:31:56Z",
  "userName": "<string>",
  "taskId": {},
  "userId": {},
  "operation": "CREATE",
  "changes": [
    {
      "fieldName": "<string>",
      "fieldType": "ARRAY",
      "previousValue": {},
      "newValue": {},
      "previousValueString": "<string>",
      "newValueString": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskHistoryId
string
required

Response

OK

id
object

The unique object identifier.

dateTime
string<date-time>

The date and time that the task history was created.

userName
string

Name of the user associated with the history record

taskId
object

Identifies the associated task.

userId
object

The id of the user associated with the history record

operation
enum<string>

The operation that was performed on the task.

Available options:
CREATE,
UPDATE,
COMPLETED,
DELETE,
COMMENT,
ASSIGNMENT,
STATUS_CHANGE,
MARKASNORMAL
changes
Task History Entry · object[]

A list of changes that were made to the task.